# SubSendCommandEvent (SubServers.Host)

net.ME1312.SubServers.Host.API.Event

## Class SubSendCommandEvent

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Event.Event
  - - net.ME1312.SubServers.Host.API.Event.SubSendCommandEvent

    public class SubSendCommandEvent
    extends Event

Send Command Event

### Constructor Summary

Constructors
Constructor and Description
`SubSendCommandEvent(java.util.UUID player, java.lang.String server, java.lang.String command)` Server Command Event

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCommand()` Gets the Command to Send
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`java.lang.String` `getServer()` Gets the Server Effected
`void` `setCommand(java.lang.String value)` Sets the Command to be Sent

### Methods inherited from class net.ME1312.SubServers.Host.Library.Event.Event

`getAPI, getHandlers, getPlugin, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SubSendCommandEvent

    public SubSendCommandEvent(java.util.UUID player,
                               java.lang.String server,
                               java.lang.String command)

Server Command Event

Parameters:
  `player` - Player Commanding Server
  `server` - Server being Commanded

### Method Detail

#### getServer

    public java.lang.String getServer()

Gets the Server Effected

Returns:
  The Server Effected

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### getCommand

    public java.lang.String getCommand()

Gets the Command to Send

Returns:
  Command to Send

#### setCommand

    public void setCommand(java.lang.String value)

Sets the Command to be Sent

Parameters:
  `value` - Value